# LoggingOutput

interface LoggingOutput

Provides access to the output of the Gradle logging system.

#### Inheritors

LoggingManager

## Functions

addStandardErrorListener
Link copied to clipboard
abstract fun addStandardErrorListener(listener: StandardOutputListener)
Adds a listener which receives output written to standard error by the Gradle logging system.
addStandardOutputListener
Link copied to clipboard
abstract fun addStandardOutputListener(listener: StandardOutputListener)
Adds a listener which receives output written to standard output by the Gradle logging system.
removeStandardErrorListener
Link copied to clipboard
abstract fun removeStandardErrorListener(listener: StandardOutputListener)
Removes a listener from standard error.
removeStandardOutputListener
Link copied to clipboard
abstract fun removeStandardOutputListener(listener: StandardOutputListener)
Removes a listener from standard output.